diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/wifi/test/wifi-phy-cca-test.cc ns-3.47/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.46/src/wifi/test/wifi-phy-cca-test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/wifi/test/wifi-phy-cca-test.cc	2026-02-16 16:08:49.882231000 -0800
@@ -1398,110 +1553,113 @@
 
     m_rxPhy->SetOperatingChannel(
         WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_6GHZ, 0});
-    m_txPhy->SetOperatingChannel(
+    m_uxPhy->SetOperatingChannel(
         WifiPhy::ChannelTuple{channelNum, m_channelWidth, WIFI_PHY_BAND_6GHZ, 0});
 
+    const auto phyHeaderDuration =
+        (m_standard == WIFI_STANDARD_80211ax) ? hePhyHeaderDuration : ehtPhyHeaderDuration;
+
     const auto& ppduDurations =
         (m_standard == WIFI_STANDARD_80211ax) ? hePpduDurations : ehtPpduDurations;
 
-    Time delay;
-    Simulator::Schedule(delay, &WifiPhyCcaIndicationTest::Reset, this);
-    delay += Seconds(1);
-
+    Time delay{Seconds(1.0)};
     ResetExpectedPer20MhzCcaBusyDurations();
 
+    const auto tx1Start = MicroSeconds(0);
+
+    const auto txEndSignal1 = MicroSeconds(100);
+    const auto txDuration1 = txEndSignal1 - tx1Start;
+
+    const auto tx2Start = MicroSeconds(50);
+
+    const auto txEndSignal2 = MicroSeconds(150);
+    const auto txDuration2 = txEndSignal2 - tx2Start;
+
+    const auto txDiff = tx2Start - tx1Start;
+
+    const auto thresholdUpdateTime = MicroSeconds(75);
+
     //----------------------------------------------------------------------------------------------------------------------------------
-    // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal below
-    // the energy detection threshold occupies P20
-    Simulator::Schedule(delay,
-                        &WifiPhyCcaIndicationTest::LogScenario,
-                        this,
-                        "Reception of a signal that occupies P20 below ED threshold");
+    // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal below the
+    // energy detection threshold occupies P20
     ScheduleTest(
         delay,
-        {{dBm_u{-65}, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
+        "Reception of a signal that occupies P20 below ED threshold",
+        {{dBm_u{-65}, tx1Start, txDuration1, P20_CENTER_FREQUENCY, MHz_u{20}}},
         {},
         {
             {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-            {MicroSeconds(100) - smallDelta,
+            {txEndSignal1 - smallDelta,
              WifiPhyState::IDLE}, // IDLE just before the transmission ends
-            {MicroSeconds(100) + smallDelta,
-             WifiPhyState::IDLE} // IDLE just after the transmission ends
+            {txEndSignal1 + smallDelta, WifiPhyState::IDLE} // IDLE just after the transmission ends
         },
         {});
-    delay += Seconds(1);
+    delay += testStep;
 
     //----------------------------------------------------------------------------------------------------------------------------------
-    // Verify PHY state is CCA-BUSY as long as a 20 MHz signal above the energy detection
-    // threshold occupies P20
-    Simulator::Schedule(delay,
-                        &WifiPhyCcaIndicationTest::LogScenario,
-                        this,
-                        "Reception of signal that occupies P20 above ED threshold");
-    if (m_channelWidth > 20)
+    // Verify PHY state is CCA-BUSY as long as a 20 MHz signal above the energy detection threshold
+    // occupies P20
+    if (m_channelWidth > MHz_u{20})
     {
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(0) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(0) = txDuration1;
     }
     ScheduleTest(
         delay,
-        {{dBm_u{-60.0}, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
+        "Reception of signal that occupies P20 above ED threshold",
+        {{dBm_u{-60}, tx1Start, txDuration1, P20_CENTER_FREQUENCY, MHz_u{20}}},
         {},
         {
             {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
-            {MicroSeconds(100) - smallDelta,
+            {txEndSignal1 - smallDelta,
              WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-            {MicroSeconds(100) + smallDelta,
-             WifiPhyState::IDLE} // IDLE just after the transmission ends
+            {txEndSignal1 + smallDelta, WifiPhyState::IDLE} // IDLE just after the transmission ends
         },
-        {{MicroSeconds(100) - smallDelta,
-          MicroSeconds(100),
+        {{txEndSignal1 - smallDelta,
+          1,
+          tx1Start,
+          txEndSignal1,
           WIFI_CHANLIST_PRIMARY,
           m_expectedPer20MhzCcaBusyDurations.at(0)}});
-    delay += Seconds(1);
+    delay += testStep;
     ResetExpectedPer20MhzCcaBusyDurations();
 
     //----------------------------------------------------------------------------------------------------------------------------------
-    // Verify PHY state is CCA-BUSY as long as the sum of 20 MHz signals occupying P20 is above
-    // the energy detection threshold
-    Simulator::Schedule(delay,
-                        &WifiPhyCcaIndicationTest::LogScenario,
-                        this,
-                        "Reception of two 20 MHz signals that occupies P20 below ED threshold with "
-                        "sum above ED threshold");
-    if (m_channelWidth > 20)
+    // Verify PHY state is CCA-BUSY as long as the sum of 20 MHz signals occupying P20 is above the
+    // energy detection threshold
+    if (m_channelWidth > MHz_u{20})
     {
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(0) = MicroSeconds(50);
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(0) = tx2Start - tx1Start;
     }
-    ScheduleTest(delay,
-                 {{-64.0, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}},
-                  {-65.0, MicroSeconds(50), MicroSeconds(200), P20_CENTER_FREQUENCY, MHz_u{20}}},
-                 {},
-                 {
-                     {MicroSeconds(50) + aCcaTimeWithDelta,
-                      WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
-                     {MicroSeconds(100) - smallDelta,
-                      WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                     {MicroSeconds(100) + smallDelta,
-                      WifiPhyState::IDLE} // IDLE just after the transmission ends
-                 },
-                 {{MicroSeconds(100) - smallDelta,
-                   MicroSeconds(100),
-                   WIFI_CHANLIST_PRIMARY,
-                   m_expectedPer20MhzCcaBusyDurations.at(0)}});
-    delay += Seconds(1);
+    ScheduleTest(
+        delay,
+        "Reception of two 20 MHz signals that occupies P20 below ED threshold with "
+        "sum above ED threshold",
+        {{dBm_u{-64}, tx1Start, txDuration1, P20_CENTER_FREQUENCY, MHz_u{20}},
+         {dBm_u{-65}, tx2Start, txDuration2, P20_CENTER_FREQUENCY, MHz_u{20}}},
+        {},
+        {
+            {tx2Start + aCcaTimeWithDelta,
+             WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
+            {txEndSignal1 - smallDelta,
+             WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
+            {txEndSignal1 + smallDelta, WifiPhyState::IDLE} // IDLE just after the transmission ends
+        },
+        {{txEndSignal1 - smallDelta,
+          1,
+          tx2Start,
+          txEndSignal1,
+          WIFI_CHANLIST_PRIMARY,
+          m_expectedPer20MhzCcaBusyDurations.at(0)}});
+    delay += testStep;
     ResetExpectedPer20MhzCcaBusyDurations();
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state stays IDLE when a 20 MHz PPDU with received power below the
     // corresponding CCA sensitivity threshold occupies P20
-    Simulator::Schedule(
-        delay,
-        &WifiPhyCcaIndicationTest::LogScenario,
-        this,
-        "Reception of a 20 MHz PPDU that occupies P20 below CCA sensitivity threshold");
     ScheduleTest(delay,
+                 "Reception of a 20 MHz PPDU that occupies P20 below CCA sensitivity threshold",
                  {},
-                 {{dBm_u{-85}, MicroSeconds(0), P20_CENTER_FREQUENCY, MHz_u{20}}},
+                 {{dBm_u{-85}, tx1Start, P20_CENTER_FREQUENCY, MHz_u{20}}},
                  {
                      {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                      {ppduDurations.at(MHz_u{20}) - smallDelta,
@@ -1510,21 +1668,17 @@
                       WifiPhyState::IDLE} // IDLE just after the transmission ends
                  },
                  {});
-    delay += Seconds(1);
+    delay += testStep;
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state transitions to CCA-BUSY when an PPDU with received power above the CCA
-    // sensitivity threshold occupies P20. The per20Bitmap should indicate idle on the primary
-    // 20 MHz subchannel because received power is below -72 dBm (27.3.20.6.5).
-    Simulator::Schedule(
-        delay,
-        &WifiPhyCcaIndicationTest::LogScenario,
-        this,
-        "Reception of a 20 MHz PPDU that occupies P20 above CCA sensitivity threshold");
+    // sensitivity threshold occupies P20. The per20Bitmap should indicate idle on the primary 20
+    // MHz subchannel because received power is below -72 dBm (27.3.20.6.5).
     ScheduleTest(
         delay,
+        "Reception of a 20 MHz PPDU that occupies P20 above CCA sensitivity threshold",
         {},
-        {{dBm_u{-80}, MicroSeconds(0), P20_CENTER_FREQUENCY, MHz_u{20}}},
+        {{dBm_u{-80}, tx1Start, P20_CENTER_FREQUENCY, MHz_u{20}}},
         {
             {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
             {ppduDurations.at(MHz_u{20}) - smallDelta,
@@ -1533,22 +1687,20 @@
              WifiPhyState::IDLE} // IDLE just after the transmission ends
         },
         {{aCcaTimeWithDelta,
-          MicroSeconds(16),
+          1,
+          aCcaTime,
+          legacyPhyHeaderDuration - aCcaTime,
           WIFI_CHANLIST_PRIMARY,
           m_expectedPer20MhzCcaBusyDurations.at(0)}});
-    delay += Seconds(1);
+    delay += testStep;
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state stays IDLE when a 40 MHz PPDU with received power below the CCA
     // sensitivity threshold occupies P40
-    Simulator::Schedule(
-        delay,
-        &WifiPhyCcaIndicationTest::LogScenario,
-        this,
-        "Reception of a 40 MHz PPDU that occupies P20 below CCA sensitivity threshold");
     ScheduleTest(delay,
+                 "Reception of a 40 MHz PPDU that occupies P20 below CCA sensitivity threshold",
                  {},
-                 {{dBm_u{-80}, MicroSeconds(0), P40_CENTER_FREQUENCY, MHz_u{40}}},
+                 {{dBm_u{-80}, tx1Start, P40_CENTER_FREQUENCY, MHz_u{40}}},
                  {
                      {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                      {ppduDurations.at(MHz_u{40}) - smallDelta,
@@ -1557,21 +1709,17 @@
                       WifiPhyState::IDLE} // IDLE just after the transmission ends
                  },
                  {});
-    delay += Seconds(1);
+    delay += testStep;
 
     //----------------------------------------------------------------------------------------------------------------------------------
     // Verify PHY state transitions to CCA-BUSY when an PPDU with received power above the CCA
-    // sensitivity threshold occupies P40. The per20Bitmap should indicate idle on the primary
-    // 20 MHz subchannel because received power is below -72 dBm (27.3.20.6.5).
-    Simulator::Schedule(
-        delay,
-        &WifiPhyCcaIndicationTest::LogScenario,
-        this,
-        "Reception of a 40 MHz PPDU that occupies P40 above CCA sensitivity threshold");
+    // sensitivity threshold occupies P40. The per20Bitmap should indicate idle on the primary 20
+    // MHz subchannel because received power is below -72 dBm (27.3.20.6.5).
     ScheduleTest(
         delay,
+        "Reception of a 40 MHz PPDU that occupies P40 above CCA sensitivity threshold",
         {},
-        {{dBm_u{-75}, MicroSeconds(0), P40_CENTER_FREQUENCY, MHz_u{40}}},
+        {{dBm_u{-75}, tx1Start, P40_CENTER_FREQUENCY, MHz_u{40}}},
         {
             {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
             {ppduDurations.at(MHz_u{40}) - smallDelta,
@@ -1582,176 +1730,165 @@
              WifiPhyState::IDLE} // IDLE just after the transmission ends
         },
         {{aCcaTimeWithDelta,
-          MicroSeconds(16),
+          1,
+          aCcaTime,
+          legacyPhyHeaderDuration - aCcaTime,
           WIFI_CHANLIST_PRIMARY,
           m_expectedPer20MhzCcaBusyDurations.at(0)}});
-    delay += Seconds(1);
+    delay += testStep;
 
     if (m_channelWidth > MHz_u{20})
     {
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a 20 MHz
-        // signal below the energy detection threshold occupies S20
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies S20 below ED threshold");
-        ScheduleTest(
-            delay,
-            {{dBm_u{-65}, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
-            {},
-            {
-                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
-                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
-                 WifiPhyState::IDLE} // IDLE just after the transmission ends
-            },
-            {});
-        delay += Seconds(1);
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a 20 MHz signal
+        // below the energy detection threshold occupies S20
+        ScheduleTest(delay,
+                     "Reception of a 20 MHz signal that occupies S20 below ED threshold",
+                     {{dBm_u{-65}, tx1Start, txDuration1, S20_CENTER_FREQUENCY, MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {txEndSignal1 - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {txEndSignal1 + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 20 MHz signal
         // above the energy detection threshold occupies S20
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 20 MHz signal that occupies S20 above ED threshold");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = MicroSeconds(100);
-        ScheduleTest(
-            delay,
-            {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
-            {},
-            {
-                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
-                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
-                 WifiPhyState::IDLE} // IDLE just after the transmission ends
-            },
-            {{MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
-              WIFI_CHANLIST_SECONDARY,
-              m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = txDuration1;
+        ScheduleTest(delay,
+                     "Reception of a 20 MHz signal that occupies S20 above ED threshold",
+                     {{dBm_u{-60}, tx1Start, txDuration1, S20_CENTER_FREQUENCY, MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {txEndSignal1 - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {txEndSignal1 + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{txEndSignal1 - smallDelta,
+                       1,
+                       tx1Start,
+                       txEndSignal1,
+                       WIFI_CHANLIST_SECONDARY,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state is CCA-BUSY as long as a 40 MHz signal above the energy detection
         // threshold occupies P40
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 40 MHz signal that occupies P40 above ED threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 2, MicroSeconds(100));
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 2, txDuration1);
         ScheduleTest(
             delay,
-            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), P40_CENTER_FREQUENCY, MHz_u{40}}},
+            "Reception of a 40 MHz signal that occupies P40 above ED threshold",
+            {{dBm_u{-55}, tx1Start, txDuration1, P40_CENTER_FREQUENCY, MHz_u{40}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
-                {MicroSeconds(100) - smallDelta,
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
+            {{txEndSignal1 - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the primary channel while the secondary channel was
         // already in CCA-BUSY state
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a signal that occupies S20 followed by the reception of "
-                            "another signal that occupies P20");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(50);
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = txDuration1;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = txDuration2;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = txDiff;
         ScheduleTest(
             delay,
-            {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}},
-             {dBm_u{-60}, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
+            "Reception of a signal that occupies S20 followed by the reception of another signal "
+            "that occupies P20",
+            {{dBm_u{-60}, tx1Start, txDuration1, S20_CENTER_FREQUENCY, MHz_u{20}},
+             {dBm_u{-60}, tx2Start, txDuration2, P20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTimeWithDelta,
                  WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
-                {MicroSeconds(50) + aCcaTimeWithDelta,
-                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after
-                                          // aCcaTimeWithDelta that followed the second
-                                          // transmission
-                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                {tx2Start + aCcaTimeWithDelta,
+                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after aCcaTimeWithDelta
+                                          // that followed the second transmission
+                {txEndSignal2 - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                {txEndSignal2 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTimeWithDelta, // notification upon reception of the first signal
-              MicroSeconds(100),
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(50) +
-                  aCcaTimeWithDelta, // notification upon reception of the second signal
-              MicroSeconds(50) + MicroSeconds(100),
+             {tx2Start + aCcaTimeWithDelta, // notification upon reception of the second signal
+              2,
+              tx1Start,
+              txEndSignal2,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY updates per-20 MHz CCA durations if a signal arrives on the secondary
-        // channel while primary is CCA-BUSY
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a signal that occupies P20 followed by the reception of "
-                            "another signal that occupies S20");
-        m_expectedPer20MhzCcaBusyDurations.at(0).at(0) = MicroSeconds(100);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(50);
-        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(100);
+        // Verify PHY updates per-20 MHz CCA durations if a signal arrives on the secondary channel
+        // while primary is CCA-BUSY
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(0) = txDuration1;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = txDiff;
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = txDuration2;
         ScheduleTest(
             delay,
-            {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}},
-             {dBm_u{-60}, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
+            "Reception of a signal that occupies P20 followed by the reception of another signal "
+            "that occupies S20",
+            {{dBm_u{-60}, tx1Start, txDuration1, P20_CENTER_FREQUENCY, MHz_u{20}},
+             {dBm_u{-60}, tx2Start, txDuration2, S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
-                {MicroSeconds(50) + aCcaTimeWithDelta,
+                {tx2Start + aCcaTimeWithDelta,
                  WifiPhyState::CCA_BUSY}, // state of primary is still CCA-BUSY after
-                                          // aCcaTimeWithDelta that followed the second
-                                          // transmission
-                {MicroSeconds(100) - smallDelta,
+                                          // aCcaTimeWithDelta that followed the second transmission
+                {txEndSignal1 - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the first transmission ends
-                {MicroSeconds(100) + smallDelta,
+                {txEndSignal1 + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the first transmission ends
             },
             {{aCcaTimeWithDelta, // notification upon reception of the first signal
-              MicroSeconds(100),
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(50) +
-                  aCcaTimeWithDelta, // notification upon reception of the second signal
-              MicroSeconds(100),
+             {tx2Start + aCcaTimeWithDelta, // notification upon reception of the second signal
+              2,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE when a 20 MHz PPDU with received power below the CCA
         // sensitivity threshold occupies S40
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 20 MHz PPDU that occupies S20 below CCA sensitivity threshold");
         ScheduleTest(delay,
+                     "Reception of a 20 MHz PPDU that occupies S20 below CCA sensitivity threshold",
                      {},
-                     {{dBm_u{-75}, MicroSeconds(0), S20_CENTER_FREQUENCY, MHz_u{20}}},
+                     {{dBm_u{-75}, tx1Start, S20_CENTER_FREQUENCY, MHz_u{20}}},
                      {
                          {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {ppduDurations.at(MHz_u{20}) - smallDelta,
@@ -1760,20 +1897,16 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1);
+        delay += testStep;
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 20 MHz PPDU
         // with received power above the CCA sensitivity threshold occupies S20
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 20 MHz PPDU that occupies S20 above CCA sensitivity threshold");
         m_expectedPer20MhzCcaBusyDurations.at(0).at(1) = ppduDurations.at(MHz_u{20});
         ScheduleTest(delay,
+                     "Reception of a 20 MHz PPDU that occupies S20 above CCA sensitivity threshold",
                      {},
-                     {{dBm_u{-70}, MicroSeconds(0), S20_CENTER_FREQUENCY, MHz_u{20}}},
+                     {{dBm_u{-70}, tx1Start, S20_CENTER_FREQUENCY, MHz_u{20}}},
                      {
                          {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {ppduDurations.at(MHz_u{20}) - smallDelta,
